Subject: Re: [IPsec] WG Adoption call for draft-btw-add-ipsecme-ike

From: <[email-masked]>
Date: Thu, 10 Feb 2022 06:50:33 +0000

Hi Paul,

As a follow-up to:

> Ah, I see. I would probably use some different terminology then, and
> extend the text talking aboyt "as per Section 8 of [RFC8310]" to clarify
> that. I'll see about producing some text for you.
> 
> Paul

I wonder whether you had time to check the version we published back in December (https://datatracker.ietf.org/doc/draft-ietf-ipsecme-add-ike/) and identify candidate changes. 

Thank you. 

Cheers,
Med

> -----Message d'origine-----
> De : Paul Wouters <[email-masked]>
> Envoyé : lundi 8 novembre 2021 19:06
> À : BOUCADAIR Mohamed INNOV/NET <[email-masked]>
> Cc : Tero Kivinen <[email-masked]>; [email-masked]
> Objet : Re: [IPsec] WG Adoption call for draft-btw-add-ipsecme-ike
> 
...
> 
> >> I am also not clear on the real use of negotiating hash algorithms
> >> for the digest receiving of the ADD server "identity?", as the
> >> document states the authentication happens as per Section 8 of
> >> [RFC8310] which lists WebPKI or DANE authentication against the name
> >> and these methods do not use this digest. I also do not understand
> >> the use of the digest. For authentication, is it not needed as the
> >> entire IKEv2 exchange is authenticated.
> >
> > [Med] We added the digest to address one of the comments raised in a
> previous ipsecme meetings: allow to not rely on PKI for validating the
> encrypted DNS server certificate but convey the end-entity certificate
> in IKEv2 itself.
> 
> Ah, I see. I would probably use some different terminology then, and
> extend the text talking aboyt "as per Section 8 of [RFC8310]" to clarify
> that. I'll see about producing some text for you.
> 
> Paul

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.